Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class AddLoadShapesAgentLoaderCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.AbstractOverrideableCommand
              org.metaabm.commands.AddAgentsActsCommand
                  org.metaabm.commands.AddAgentsActsLoaderCommand
                      org.metaabm.commands.AddLoadShapesAgentLoaderCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.edit.command.OverrideableCommand

    public class AddLoadShapesAgentLoaderCommand

extends AddAgentsActsLoaderCommand

Creates agent style based on loaded shape values.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.metaabm.commands.AddAgentsActsCommand
`command`

Fields inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`domain, overrideCommand`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`AddLoadShapesAgentLoaderCommand(org.eclipse.emf.edit.domain.EditingDomain domain, SContext parent, SProjection projection, java.net.URL url, java.util.Collection<?> agents)`

Method Summary
`protected ALoadAgents` | `createAct()`
`protected void` | `createAgentConstructor(SAgent agent, ABuild builder)`

Methods inherited from class org.metaabm.commands.AddAgentsActsLoaderCommand
`getAgentAct`

Methods inherited from class org.metaabm.commands.AddAgentsActsCommand
`doCanExecute, doExecute, doGetAffectedObjects, doRedo, doUndo, findBuilderFor, findBuilderOf, findCreatorFor, findCreatorOf`

Methods inherited from class org.eclipse.emf.edit.command.AbstractOverrideableCommand
`canExecute, canUndo, dispose, doCanUndo, doDispose, doGetChildrenToCopy, doGetDescription, doGetLabel, doGetResult, execute, getAffectedObjects, getChildrenToCopy, getDescription, getDomain, getLabel, getOverride, getOwnerList, getResult, redo, setOverride, toString, undo, updateEMap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`chain, prepare, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.command.Command
`chain`

Constructor Detail

### AddLoadShapesAgentLoaderCommand

    public AddLoadShapesAgentLoaderCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                           SContext parent,
                                           SProjection projection,
                                           java.net.URL url,
                                           java.util.Collection<?> agents)

Method Detail

### createAgentConstructor

    protected void createAgentConstructor(SAgent agent,
                                          ABuild builder)

  Overrides:
    `createAgentConstructor` in class `AddAgentsActsLoaderCommand`

### createAct

    protected ALoadAgents createAct()

  Overrides:
    `createAct` in class `AddAgentsActsLoaderCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD